%global namedreltag .Beta1
%global namedversion %{version}%{?namedreltag}
%global osginame org.apache.felix.resolver

Name:             felix-osgi-obr-resolver
Version:          0.1.0
Release:          %mkrel 0.5%{namedreltag}.5
Summary:          Apache Felix Resolver
Group:            Development/Java
License:          ASL 2.0
URL:              https://github.com/tdiesler/obr-resolver

# git clone git://github.com/tdiesler/obr-resolver.git
# cd obr-resolver/ && git archive --format=tar --prefix=felix-osgi-obr-resolver-0.1.0.Beta1/ 0.1.0.Beta1 | xz > felix-osgi-obr-resolver-0.1.0.Beta1.tar.xz
Source0:          felix-osgi-obr-resolver-%{namedversion}.tar.xz

# Provided osgi.core in Fedora is old and the felix impl is the right one in this case
Patch0:           0001-Use-felix-directly.patch
Patch1:           0002-JDK7-support.patch
Patch2:           0003-Compile-with-target-1.5-or-greater.patch

BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-surefire-provider-junit4
BuildRequires:    felix-framework
BuildRequires:    apache-rat-plugin
BuildRequires:    mockito
BuildRequires:    mvn(org.apache.maven.shared:maven-plugin-testing-harness)
%description
This package contains the Apache Felix Resolver

%package javadoc
Summary:          Javadocs for %{name}
Group:            Documentation

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n felix-osgi-obr-resolver-%{namedversion}

%patch0 -p1
%patch1 -p1
%patch2 -p1

# This is diabled because we don't have OSGi 5 provider in Fedora.
# TODO We need to remove this after OSGi 5 lands in Fedora.
#
# https://bugzilla.redhat.com/show_bug.cgi?id=832420#c2
# rm -rf src/main/java/org/osgi/framework/wiring

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}

%files javadoc -f .mfiles-javadoc



%changelog
* Tue Jan 07 2014 dmorgan <dmorgan> 0.1.0-0.5.Beta1.5.mga4
+ Revision: 565445
- Fix BuildRequires

* Thu Dec 19 2013 dmorgan <dmorgan> 0.1.0-0.5.Beta1.4.mga4
+ Revision: 558762
- Build with xmvn

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.1.0-0.5.Beta1.2.mga3
+ Revision: 350172
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 dmorgan <dmorgan> 0.1.0-0.5.Beta1.1.mga3
+ Revision: 342860
- imported package felix-osgi-obr-resolver


* Tue Jul 24 2012 Marek Goldmann <mgoldman@redhat.com> - 0.1.0-0.5.Beta1
- Compile with -target 1.5 or greater, RHBZ#842592

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-0.4.Beta1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jun 26 2012 Marek Goldmann <mgoldman@redhat.com> 0.1.0-0.3.Beta1
- Enable back OSGi 5 APIs

* Mon Jun 18 2012 Marek Goldmann <mgoldman@redhat.com> 0.1.0-0.2.Beta1
- Fixed spelling issues
- Removed reduntant file

* Thu Jun 14 2012 Marek Goldmann <mgoldman@redhat.com> 0.1.0-0.1.Beta1
- Initial packaging

